Bug 929197 (CVE-2013-2160) - CVE-2013-2160 cxf, jbossws-cxf, apache-cxf: Multiple denial of service flaws in the StAX parser
Summary: CVE-2013-2160 cxf, jbossws-cxf, apache-cxf: Multiple denial of service flaws ...
Status: CLOSED ERRATA
Alias: CVE-2013-2160
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130626,repor...
Keywords: Security
Depends On: 948689 979086 979215 979216
Blocks: 929199 947321 958335 970481 981152
TreeView+ depends on / blocked
 
Reported: 2013-03-29 13:16 UTC by Jan Lieskovsky
Modified: 2015-05-18 20:56 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-04 05:34:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1028 normal SHIPPED_LIVE Important: Fuse ESB Enterprise 7.1.0 update 2013-07-09 21:36:00 UTC
Red Hat Product Errata RHSA-2013:1185 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.0.0 patch 2 2013-08-30 03:27:44 UTC
Red Hat Product Errata RHSA-2013:1437 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.1.0 update 2013-10-16 20:53:32 UTC

Description Jan Lieskovsky 2013-03-29 13:16:20 UTC
Multiple denial of service flaws were found in the way StAX parser implementation of Apache CXF, an open-source web services framework, performed processing of certain XML files. If a web service application utilized the services of the StAX parser, a remote attacker could provide a specially-crafted XML file that, when processed by the application would lead to excessive system resources (CPU cycles, memory) consumption by that application.

References:
[1] http://jira.codehaus.org/browse/WSTX-287
[2] http://jira.codehaus.org/browse/WSTX-285

Comment 3 Jan Lieskovsky 2013-06-27 11:22:23 UTC
External References:

http://cxf.apache.org/security-advisories.data/CVE-2013-2160.txt.asc

Comment 4 Jan Lieskovsky 2013-06-27 11:30:12 UTC
Upstream patch (picks up Woodstox 4.2.0 as the streaming XML parser):
  http://svn.apache.org/viewvc?view=revision&revision=1460428

Comment 5 Jan Lieskovsky 2013-06-27 11:53:14 UTC
This issue affects the versions of the cxf package, as shipped with Fedora release of 17 and 18. Please schedule an update.

Comment 6 Jan Lieskovsky 2013-06-27 12:11:50 UTC
Regarding the jbossws-cxf packages in Fedora I am not sure if they are affected by this or not (someone more familiar with the jbossws-cxf code please advise).

I will file Fedora child bugs for cxf and jbossws-cxf packages, once jbossws-cxf doubt is cleared.

Comment 7 Jan Lieskovsky 2013-06-27 14:58:22 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-all [bug 979086]

Comment 11 David Jorm 2013-07-05 07:56:43 UTC
Acknowledgements:

Red Hat would like to thank Andreas Falkenberg of SEC Consult Deutschland GmbH, and Christian Mainka, Juraj Somorovsky and Joerg Schwenk of Ruhr-University Bochum for reporting this issue.

Comment 12 errata-xmlrpc 2013-07-09 17:37:45 UTC
This issue has been addressed in following products:

  Fuse ESB Enterprise 7.1.0

Via RHSA-2013:1028 https://rhn.redhat.com/errata/RHSA-2013-1028.html

Comment 13 Fedora Update System 2013-08-10 20:01:23 UTC
cxf-2.6.9-1.fc18, jacorb-2.3.1-8.fc18, wss4j-1.6.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-08-10 20:05:02 UTC
cxf-2.6.9-1.fc19, jacorb-2.3.1-8.fc19, wss4j-1.6.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2013-08-29 23:30:16 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse 6.0.0

Via RHSA-2013:1185 https://rhn.redhat.com/errata/RHSA-2013-1185.html

Comment 16 errata-xmlrpc 2013-10-16 16:56:17 UTC
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html


Note You need to log in before you can comment on or make changes to this bug.